{ pkgs ? import <nixpkgs> { } }: let
  my-python = pkgs.python312;
  python-with-my-packages = my-python.withPackages (p: with p; [
    ical
    ics
    caldav
    pyyaml
    psycopg2
  ]);
in pkgs.mkShell {
  buildInputs = [ python-with-my-packages ];
}
